Bug 810644 - [abrt] libreoffice-writer-3.3.4.1-2.fc15: CalcClipRect: Process /usr/lib/libreoffice/program/swriter.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-writer-3.3.4.1-2.fc15: CalcClipRect: Process /usr/lib/libr...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
abrt_hash:fd2ada5ac08eda7285d9394afec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-07 11:46 EDT by abeforu
Modified: 2012-05-25 17:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 17:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (25.78 KB, text/plain)
2012-04-07 11:46 EDT, abeforu
no flags Details
File: backtrace (118.90 KB, text/plain)
2012-04-07 11:46 EDT, abeforu
no flags Details
File: maps (53.78 KB, text/plain)
2012-04-07 11:46 EDT, abeforu
no flags Details

  None (edit)
Description abeforu 2012-04-07 11:46:14 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/swriter.bin -writer '/media/980087F80087DB9E/Documents and Settings/MQMK/My Documents/ITU EEE/Human Robotics Interaction Course/my presentations/IEEE FORMAT.doc'
comment:        it hapend when working on some documents 
component:      libreoffice
crash_function: CalcClipRect
executable:     /usr/lib/libreoffice/program/swriter.bin
kernel:         2.6.42.12-1.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        libreoffice-writer-3.3.4.1-2.fc15
reason:         Process /usr/lib/libreoffice/program/swriter.bin was killed by signal 11 (SIGSEGV)
time:           Fri Apr  6 22:38:36 2012
uid:            501
username:       john
xsession_errors: 

backtrace:      Text file, 121749 bytes
dso_list:       Text file, 26398 bytes
maps:           Text file, 55069 bytes

build_ids:
:ea7a72a614389191f6443fa5cdf749b574ff806f
:5833b2c02d2508612e94dde6bbb03529e72150cd
:6837a33495520cb55242839c31c38e85ea739450
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:616482819c8102a6dcda9984f00de27b8b4e912e
:f4ac739c0cf005ed0c3c79c974dd9a841344bb38
:e0852951e47109d3cf086eeb1b36d2631f035fc5
:fb31201e4ad6f769742110c9c76a0f91babead66
:d6ef697e368f1b22719fc30b4fce0943f7198791
:5b12c6cd59c411f7dd81042e702e2bf9787b21de
:4a5f6130e283c7d319ae09fab2a45adacc58737b
:139fcc5ee83d74b17dd8231eb72307d6bdca98ad
:5d10f24327f54ca096eb6f1189d1cff8867bf486
:43d6e19d8414e4394ab5a2024a0f627d70561040
:f1b629a923ca6c3a3ad997a3b81201d0d9de2177
:b6f095a93c46371f0ace529e8e7c6526aa0daa0a
:0df34d5d1dbd7a903b8943a435537a56d586fc1f
:582d8210d70baea093349d4e28c0f0659a086715
:9d3db34e590021058770f14a0ea3c9d87befc78e
:5029025b6ebdfbda731af5f2a0b8cac2b2aecf66
:4c0ba71d9007d3b26fc6d165b9e55ba27f446434
:a77aeb1523253a20b21969f21f092a0cb0edac89
:177452c458dbd4322d2fb524e0ede4fec9020580
:c3e073982d8393ab94c6324f5c2386b7fb7bd845
:15649b7f7418c962ca6d6bada2dba4313034131a
:c94914451c8a47c0520b2f4f0f1575fd5c2a9a96
:7265c79781944e1015ec359e94e9c3285064d61b
:9ffed155da0d39e92c82af72c59739c796e6c4d8
:e18695e040cee33414bc758c8716824d97f1ee7d
:a445b27cc0f26dbdaa450d915a126141a2548ae8
:5c165b778177c1826568f95359e7fd9f8be8e892
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:34d715e2766f8694271730798a4b8e1605ec93ea
:6a419f526605a944a096790074579064403f3fb9
:ab197b331403bd0e049166197790364c151f48c5
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:798697a352bae4178953ba502fb04f33dd0ed987
:91aee342f31317dae412ddeeeb714b9facfed240
:a43c4559b00b0a53897782680dc0a8b0176b69ae
:ab404a713727d461dd29bfc83da5fc55d5005d9c
:b56d5d80f4fe12b19f5a3d7360c1122f8b66ed73
:92a9033bbedc303317346dc414914fec5643bd7b
:fe39dd5a2050614d731cbb3af4f01e0448e0d5f8
:64303f846356e78f4b229ee9931765071c34d926
:84b057caeb7f80b34a00c58b3684cc85c66651c3
:3998c43f3efb344cedfb8a5dcceed62b970a406b
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:d0fdb554ac4e6a1db508a6ccce982b4b46c3b8ec
:6f87ea21308989c674f40d270f35514bbed96401
:a7aae343911678f2cb7d2edb0528d39ebe15daaf
:515513934de7da2bed4bfc87a12a2c73978ef034
:a5646789e4d6c5ca03bf708dc26c0535fc97b8c6
:37b6ae12c782e78ad8450b2cc126c822a538f9df
:e17b15a2753d4e06d006add1aa7aca91b4f94b70
:77223165276d004e3141dd8989d82c3283243baf
:32ddd1f7097ca3bd5fcf37630c03c80b00a05579
:e4d360a98b09b1b49c18ec3b40f9bee994a03635
:e5b5e65a4fac92a0ec5c207931025f62cef65457
:e09af9ba807920069eb82428b505d7807b9237c0
:51c3b43866cbbdfe6ada418014b07b101bbf41a4
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:be2ac807704698d9bbe76bb8f050473c37ad4281
:0e6fa19a65470160d54b464076cff1b85e189bae
:3bb5461e019a8144f559a9512fa2a4575320872c
:051b3ad269d8b1e82edab0c8c60c20314591ec48
:14553fd64c3391287f7266322d8706aebb7e3d5e
:98db6a2dbf772eb51299b70a85157fcecca19e2b
:31024cbec110be467c530a13b4670809e1a459ae
:d094738403cdbdabc781baa2576bbe51dc999c4f
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:67d4100bfa1755f6cdbfa52883a080485e1aaad0
:b458cd35c4ffc99719e93e2bb779ca22ff0c0fc3
:7e2db15aab2a02b38403b8212d5951c8e7af704a
:388c4985e21aeba845c2a7f087e61ffc478a670c
:454dc2e954508cc26620a5f1a3d8e1063bbd236a
:034afcfe2f63a8cbc5a8f0165aaf57d7de4738a8
:1b47c9674b04f5ab9d3c2448ea5d303a6fbae6a7
:f7938cd19b21b33727ae3e4bf8cb680157eb6bb0
:1a051c72e3aa7a4613cf92a5218309b789a96370
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:2dc4e4ea515eca25191148452fac07de08443eb8
:2370bd392a02171fee1c9f70271b75eccea55a0f
:bb755998bf1d5ca19607818f62eab9947a9ea12b
:b4f8b453c124f1bcf32ee8273b7e7f149202ff68
:34b862d028486f7ef49d37d0983c1ef23a6e0d87
:2e98893f9ea231d6d8caabc6227007266f22bfd6
:9cb799501817904cffaa20c5551b95a9188c3acc
:7ef6f832bef5a31bcd27c67efd5d56de39250dac
:6227e87c8acc0f6d69e12fce0d94f9332c340d40
:98464a901199d98497dc14ed9d4b49024f1a55f5
:e012145a98558b7d015f3ccf3cacfac44b498980
:489d36bb4386aaccc4bf903c77d4f9b0495789bc
:9f2249dd52fd26143e6731b6e0d637cb7af8390e
:5486fc219c90bea089ffda1aec3d00cdb8a8f916
:d19b5e5438048f9bfc6e36a3f986479f7e3ba4f1
:005fab9d23afe018d0991faec48d25027b814917
:1688b4be69683a8e4fa5b0200e59a0c1587d1a95
:84720407fce35f3ea6dc9e238bc89ca259959b44
:53470df4459209e6128a25dd0a07b85f80e3d6c9
:9e8d0634e39530743751ab3ff6cf2f146194921d
:59ec91c3f1d48120125f1fd07676d8aa793ff5fc
:c70a93beea79ea4e97343221f891d92efa91295f
:7fe85d5c2b64f27f69d65b7a05cd400090a6762f
:6504a9d1b1e3d1deb4a19ddbb6b76bd1c749f806
:814bb2519685510d42c4a42ec84a4824f09378df
:7a675f9eb5076ce012e51e79d14f01617cd40407
:08aa0a6cdb60579855d9ae9ee026282f8a5b1c2b
:6ed8d1cd2f869d049e8d8df1bcca4fd5a68bdf79
:5996b53e720e89e139432cf6b8512c9980ff105e
:5761f5691de176d7a39784cb589354798bd4363f
:9bde4a709b9841dcfa5bbd20750a1fcb199b7c4d
:c8a093a2a0a6251680cfa605dc466b1ea3b885ea
:ac8cb5a14339fbe89bc0258532d06d9f8bb2541d
:62f96a0b41e48a7b2d219dd8bea739f5e818d79c
:9dce02bd28965aa6c033f9510711b14d9edff648
:c02cdebaf7f055654d0046d73621caec8a2706d6
:55a16ee820bf92828341fac8beeddd32591246b2
:2f0dc71d4194b9b73de04f4312a4606512ec1851
:5b117178ca6f09e4534ab242a5faa941bc1e3721
:1a00a5b8a9fce6ccdbdb002c0168b16331b3465a
:6f01721c75f278170d086901ef067329b51b746b
:35a36059e639f727a358cf6242d587db9982ca3d
:2ab78e670fbfb30d1b90862fc60e46a3f474100f
:acabfb7a4f1a605c5002be85cea56f7e624be89a
:6cf1b72482c35b3340bd0899a78b2843a920b40a
:dfa11829a98ec31133742443cb574414a6e646d1
:7f8e7945555b26f409b5a63306092eec056adcc8
:83fe69c88511cf036f5f5b51fc3d906b2351d51e
:4104e70664651830d4d7bc8cfc3278e06a0d62d0
:daacfbe42bfd23ef6a5e110bfded3f0fa0ecbe7c
:0e1b7ef03bb6282daeb1f572167cd5c30a30c53a
:efa672deb8ffbaac5ca1509a9fb2b7e6e46d5a2d
:725efed13d3741edf08b77b1d1ee7449237b36cf
:5d86d516501190bd56650ce243e9518a192cc4d6
:26883f508da875084090d8220f276dbda913957f
:324699d183f8d9edacfdc7f3ce49f43f0c10f398
:eaf669142d6d403d74b04952ad7c51d12d53387b
:3bc1c6f1b027d37c5e84a8cd49d1e016140102d4
:8a9eb70c11cf848614f80236c95982b9d183d5c6
:addf53969db577b38f49d53087de6d0bf217d3b9
:221f2e86fe6f1b61fa6e6c8493b75e426257fd43
:ec93c5a33f28228134d75eb455279de136387f7a
:ff72394ee27216c2380a40a6c86ba8474d269c94
:3129a9ad09731aa6dd47add2328ba88bff6d0be4
:956c5095229ce94b9a50c5d1a19a276232b8512b
:3916277140a999990b996b61abecf586cbe365e8
:3b4a806344d55d65d92a2fde4c9c4389b17ea848
:d5d6e2e0c06aad93d6805bd54ad91aa295fabddc
:07fcedef1f951a847d2662baf33cc75db56632db
:57ddd83e390b80342e80021886f6b0b211ce4697
:c25551e4f8f283ab55cb499112f486009e924d42
:7cde8206ad97ddf378cc9e6843180535983b0efc
:5fe53a73ff98ecd06334aeab8a1b8dd2bdeaadd8
:17523001c4e4ccda708f447f897e1d3fb29cd88f
:28ced74809dc8d585bf3847d59c41e59a902c635
:1549fa82995429ce8101a970182cd0b2362c3121
:dc46070be094b94edf51d36b8ac14dd294a191f6
:36485d725216692ec27486683f85b1604e590054
:23d1086014ed5544b3df4cee1f95694032252322
:d9076f89ed72d2d074e95e85274befc26d60b8c6
:776ba0ef9292f3e2be2be0becb0f1d9c89db9d89
:1d16d79476cd7d725e85d9b5a5cc20268047f15c
:9014be49feb69adf0c981c083e876c2c18b9608b
:49cf2327b1048081857bee3b4eacae80a11c88a4
:639f79223d4ea6153172d7229385884816522cab
:5a8b124033539ce7c45bf0dabb44bc7e60ff0f8d
:55f0338dbb97f9276de6894e9f881baae27cbe56
:eb8e30ec17c865babb71d41e8725930cbcba042d
:4c6c4f2f09c7b6e35bf0004d50c9d5aa9d0bd269
:61cd649f8b0908619d789a94e6ceea50086e2abb
:5a9bdbb0d014b6076a8dd184e99d97cfc68d2882
:a739c636610f52dc2d1d9142d43a0a1ebc730f98
:631fbf7ae0cc91a027db0a6c1f07e19321b19efb
:d607e479919ef3ab3035309763afb6ba5a379fbd
:1338ff37f78bf3276bf9ca5e612f4cea9b6992f1
:7777be72e4df84d03fc195b11b6dc3cd38163c7f
:5351e799204bc5d533754fe7d48f79f3c5daf66b
:f10e60d10dfa08e23f5ccd104814a72b41c72b10
:95d9dc0ea30698bb178955a63391e239ced24914
:c86bb3a888c58c6d95fcee6b414283e142f4ed1c
:ba52f8b979471761e223b1d08b2d724bf84ca340
:da6ff10d89a16fc99c6097a0a3e674af085a534f
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:b286240914538c3e35ac762896c4330225d5e4e0
:c5c27f94f8144fef415a41df974f6531005558e7
:841352276cb09f80754969f201dc414f891db61f
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:c833d1602084a2aefe852c6c9838a2beea3d2280
:7787b86f9784dc1968f61124e20efb8a82019a56
:48e569d801eb6098d7fb45603bb12159a877b4d4
:418619e33b583ddfe86ae3f49122f96c6ee217db
:076dfaeddacedf3321b762db0b7e277345f5ffa6
:fdb9a482d80ca7cb2ab6918d4228d9eb7ccfa222
:33baedffcb2cb97d6c27362d561a893ebb9043eb
:c4b1401cfe5cb644e384ea1192169d13b5e8fe32
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:172e24f337d07bd7c090111a4c1b1085a951ea2f
:9cc6a44f15555d58aa29cf7081f48703fc63b058
:1f62cef82b36177238c0e6e6ad18a0487040cf0b
:992c88ca2858c1a81e88e8b7da6c41c52d3e012b
:d4ed128ec9cc651b27c63ad325cf95af24ee726f
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:94c3da1e3566c757f6b87166fb7416db2dff479f
:4709482862f00637bedaf5eeda381d3c6ecf2996
:c2ae9a2b66150928978fbcc8e9c1368784ff6542
:0d2976aa6c21618928ed4c21b6ad33836e9b0260
:6383be6e8341298e749ccb628bb27262bec8d082
:15bab279752ad8e30f901abae77bcb1ed1f38977
:1ee4b38cfc9ae1d8c6d64517f007df989961149c
:861c80ccbb9ab2d931f572186ed2a192041f0081
:c6b65b640edd8ad6f0d5134b337962ea6e93bae3
:f7fe63818ff855ba246d1298b926a2c5437de32f
:723fc09112665b0abb85228bd48eb45f0ec403c7
:f95c30bb49bdd8ab0a3f5163134699c928e3bf9d
:c1e1c6d1bee26fcb02e24e4cddfd7cf0ebe7e719
:f4990d62b7d0de5bce3f44c487509f32f3f117d7
:7aac0dea5a1bf18e1e7722d66fa0c2b5e5a3396d
:efb9fa36414f65dc1210ced1019f6c4a9af2fd9a
:fe1c1ccb3ba283168a19207abd4d1b31e8b2d979
:b6e37e77225975724619e5469c95d60f6db62e73
:0aa29c54f13bd753c8edfe8930bce30ed40fff39
:02325bbbfa06eacb1c9bdd0546ff69db1b1ddc3f
:1a9d0bb3a7dfde4243d58b16fde478c44ba6a6f6
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:499c2593e24e9f13caaf9158c2e43414448615e7
:54bab925c8261f6beba4dbdeaa0d2488637cb477
:b00ca04527ce71f5beaf7068dcb356c378a9a115
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:8601212ed1da7db075ac10e455234f675b3089e9
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:57e358eea7e9a0cdd0ccacc3119b609bed0d8a5c

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-john
:XDG_SESSION_ID=1
:HOSTNAME=MQMK-3
:GIO_LAUNCHED_DESKTOP_FILE_PID=2095
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-ihjBEN/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=5f71964370729ccf07d2058900000010-1333647303.842031-1021325831
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-ihjBEN
:QTDIR=/usr/lib/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=john
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386
:SSH_AUTH_SOCK=/tmp/keyring-ihjBEN/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1483,unix/unix:/tmp/.ICE-unix/1483
:USERNAME=john
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/opera-browser.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/john/bin
:MAIL=/var/spool/mail/john
:QT_IM_MODULE=xim
:PWD=/home/john
:XMODIFIERS=@im=none
:OPERA_SYSTEM_UNAME=Linux
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1475
:KDE_IS_PRELINKED=1
:GDM_LANG=
:OPERA_PERSONALDIR=/home/john/.opera/
:OPERA_HOME=/home/john/.opera/
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/john
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=john
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:OPERA_BINARYDIR=/usr/lib/opera/
:OPERA_DIR=/usr/share/opera/
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-mbfFmyfMcN,guid=154810e55b8b6d5f449edcfc00000060
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/john
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-john-gVTVGb/database
:CCACHE_HASHDIR=
:_=/usr/lib/libreoffice/program/swriter.bin

var_log_messages:
:Apr  6 22:38:36 MQMK-3 kernel: [57204.278254] swriter.bin[9584]: segfault at 18 ip 4d15e92e sp bf947490 error 4 in libswli.so[4cc20000+d51000]
:Apr  6 22:38:39 MQMK-3 abrt[22387]: saved core dump of pid 9584 (/usr/lib/libreoffice/program/swriter.bin) to /var/spool/abrt/ccpp-2012-04-06-22:38:36-9584.new/coredump (191819776 bytes)
Comment 1 abeforu 2012-04-07 11:46:26 EDT
Created attachment 575946 [details]
File: dso_list
Comment 2 abeforu 2012-04-07 11:46:29 EDT
Created attachment 575947 [details]
File: backtrace
Comment 3 abeforu 2012-04-07 11:46:31 EDT
Created attachment 575948 [details]
File: maps
Comment 4 Caolan McNamara 2012-04-10 08:31:03 EDT
const SwLayoutFrm* pClipFrm = pVertPosOrientFrm->FindPageFrm();
//^ backtrace suggests pClipFrm is NULL here*/
rRect = bMove ? pClipFrm->GetUpper()->Frm()
    : pClipFrm->Frm();
Comment 5 Caolan McNamara 2012-04-10 08:32:57 EDT
caolanm->abeforu: Have you got any sample documents which are guaranteed to reproduce this ? Or some other how-to-reproduce path ?
Comment 6 Michael Stahl 2012-05-25 17:32:29 EDT
no idea why it's null, band-aid fix on upstream master,
will be in Fedora 18, won't backport based on current
lack of understanding the problem.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b6db1e0683c8fac594a606297f16b1fe163ed15b

Note You need to log in before you can comment on or make changes to this bug.